★ TouchArcade needs your help. Click here to support us on Patreon.

Apps that are incompatible with OS 3.0

06-21-2009, 09:38 PM
#1
Senior Member [Original Poster]
Joined: Mar 2009
Location: NYC
Posts: 139
Apps that are incompatible with OS 3.0

So I just upgraded my Touch gen 1 to OS 3.0, and tried to play Galaxy On Fire. It loads but button presses are unresponsive and it doesn't play the movies smoothly. Any ideas? I thought maybe we could start a list of apps to avoid until they are updated, for people thinking of buying the app, but also for users who have not yet upgraded who don't want to lose a game by doing so.
06-21-2009, 09:46 PM
#2
Joined: Dec 2008
Location: Sacramento, CA
Posts: 4,568
We already have threads like this: http://forums.toucharcade.com/showthread.php?t=16255

And Galaxy on Fire works fine for me on 3.0 iPod touch 2nd Gen.

Twitter: @Zincous